GesagtGetan.Swiper:Alignment:
  abstract: true
  superTypes:
    GesagtGetan.Swiper:AlignmentHorizontal: true
    GesagtGetan.Swiper:AlignmentVertical: true

GesagtGetan.Swiper:AlignmentHorizontal:
  abstract: true
  superTypes:
    GesagtGetan.Swiper:AlignmentGroup: true
  properties:
    swiperAlignmentHorizontal:
      type: string
      ui:
        label: 'GesagtGetan.Swiper:NodeTypes.Alignment:properties.swiperAlignmentHorizontal'
        reloadIfChanged: true
        inspector:
          group: alignment
          position: 10
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            placeholder: 'GesagtGetan.Swiper:NodeTypes.Alignment:values.center'
            allowEmpty: true
            values:
              left:
                label: 'GesagtGetan.Swiper:NodeTypes.Alignment:values.left'
                icon: icon-long-arrow-left
              right:
                label: 'GesagtGetan.Swiper:NodeTypes.Alignment:values.right'
                icon: icon-long-arrow-right

GesagtGetan.Swiper:AlignmentVertical:
  abstract: true
  superTypes:
    GesagtGetan.Swiper:AlignmentGroup: true
  properties:
    swiperAlignmentVertical:
      type: string
      ui:
        label: 'GesagtGetan.Swiper:NodeTypes.Alignment:properties.swiperAlignmentVertical'
        reloadIfChanged: true
        inspector:
          group: alignment
          position: 20
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            placeholder: 'GesagtGetan.Swiper:NodeTypes.Alignment:values.center'
            allowEmpty: true
            values:
              top:
                label: 'GesagtGetan.Swiper:NodeTypes.Alignment:values.top'
                icon: icon-long-arrow-up
              bottom:
                label: 'GesagtGetan.Swiper:NodeTypes.Alignment:values.bottom'
                icon: icon-long-arrow-down

GesagtGetan.Swiper:AlignmentGroup:
  abstract: true
  ui:
    inspector:
      groups:
        alignment:
          label: 'GesagtGetan.Swiper:NodeTypes.Alignment:groups.alignment'
          icon: icon-arrows
          position: 50
